/*
 * https://codeburst.io/4-four-ways-to-style-react-components-ac6f323da822
 * https://medium.com/@pioul/modular-css-with-react-61638ae9ea3e
 */

/*
 * https://npm.taobao.org/package/postcss-modules-values
 * make local aliases to imported values
 */
/*
@value small as bp-small, medium as bp-medium, large as bp-large from "../../../assets/breackpoints.css";
 
@media bp-small {
	@value imgHeight: 130px;
}

@media bp-medium {
	@value imgHeight: 140px;
}

@media bp-large {
	@value imgHeight: 150px;
}

$mdc-toolbar-mobile-landscape-width-breakpoint: true;
$mdc-snackbar-tablet-breakpoint: true;
$mdc-toolbar-mobile-landscape-row-height: 0;

@media (max-width: ($mdc-snackbar-tablet-breakpoint - 1)) {
}
@media (max-width: $mdc-toolbar-mobile-landscape-width-breakpoint)
	and (orientation: landscape) {
	min-height: $mdc-toolbar-mobile-landscape-row-height;
}
*/

@import "../../../lib/css/breakpoints.scss";
@import "../../../lib/css/display.scss";

@keyframes r0 {
	0%    { transform: rotate(0deg);   }
	12.5% { transform: rotate(45deg);  }
	25%   { transform: rotate(90deg);  }
	37.5% { transform: rotate(135deg); }
	50%   { transform: rotate(180deg); }
	62.5% { transform: rotate(225deg); }
	75%   { transform: rotate(270deg); }
	87.5% { transform: rotate(315deg); }
	100%  { transform: rotate(360deg); }
}

@keyframes r1 {
	0%    { transform: rotate(45deg);  }
	12.5% { transform: rotate(90deg);  }
	25%   { transform: rotate(135deg); }
	37.5% { transform: rotate(180deg); }
	50%   { transform: rotate(225deg); }
	62.5% { transform: rotate(270deg); }
	75%   { transform: rotate(315deg); }
	87.5% { transform: rotate(360deg); }
	100%  { transform: rotate(0deg);   }
}

@keyframes r2 {
	0%    { transform: rotate(90deg);  }
	12.5% { transform: rotate(135deg); }
	25%   { transform: rotate(180deg); }
	37.5% { transform: rotate(225deg); }
	50%   { transform: rotate(270deg); }
	62.5% { transform: rotate(315deg); }
	75%   { transform: rotate(360deg); }
	87.5% { transform: rotate(0deg);   }
	100%  { transform: rotate(45deg);  }
}

@keyframes r3 {
	0%    { transform: rotate(135deg); }
	12.5% { transform: rotate(180deg); }
	25%   { transform: rotate(225deg); }
	37.5% { transform: rotate(270deg); }
	50%   { transform: rotate(315deg); }
	62.5% { transform: rotate(360deg); }
	75%   { transform: rotate(0deg);   }
	87.5% { transform: rotate(45deg);  }
	100%  { transform: rotate(90deg);  }
}

@keyframes r4 {
	0%    { transform: rotate(180deg); }
	12.5% { transform: rotate(225deg); }
	25%   { transform: rotate(270deg); }
	37.5% { transform: rotate(315deg); }
	50%   { transform: rotate(360deg); }
	62.5% { transform: rotate(0deg);   }
	75%   { transform: rotate(45deg);  }
	87.5% { transform: rotate(90deg);  }
	100%  { transform: rotate(135deg); }
}

@keyframes r5 {
	0%    { transform: rotate(225deg); }
	12.5% { transform: rotate(270deg); }
	25%   { transform: rotate(315deg); }
	37.5% { transform: rotate(360deg); }
	50%   { transform: rotate(0deg);   }
	62.5% { transform: rotate(45deg);  }
	75%   { transform: rotate(90deg);  }
	87.5% { transform: rotate(135deg); }
	100%  { transform: rotate(180deg); }
}

@keyframes r6 {
	0%    { transform: rotate(270deg); }
	12.5% { transform: rotate(315deg); }
	25%   { transform: rotate(360deg); }
	37.5% { transform: rotate(0deg);   }
	50%   { transform: rotate(45deg);  }
	62.5% { transform: rotate(90deg);  }
	75%   { transform: rotate(135deg); }
	87.5% { transform: rotate(180deg); }
	100%  { transform: rotate(225deg); }
}

@keyframes r7 {
	0%    { transform: rotate(315deg); }
	12.5% { transform: rotate(360deg); }
	25%   { transform: rotate(0deg);   }
	37.5% { transform: rotate(45deg);  }
	50%   { transform: rotate(90deg);  }
	62.5% { transform: rotate(135deg); }
	75%   { transform: rotate(180deg); }
	87.5% { transform: rotate(225deg); }
	100%  { transform: rotate(270deg); }
}

/*@keyframes r8 {
	0%    { transform: rotate(360deg); }
	12.5% { transform: rotate(0deg);   }
	25%   { transform: rotate(45deg);  }
	37.5% { transform: rotate(90deg);  }
	50%   { transform: rotate(135deg); }
	62.5% { transform: rotate(180deg); }
	75%   { transform: rotate(225deg); }
	87.5% { transform: rotate(270deg); }
	100%  { transform: rotate(315deg); }
}*/

.spin0 {
	animation: r0 8s step-end infinite;
}

.spin1 {
	animation: r1 8s step-end infinite;
}

.spin2 {
	animation: r2 8s step-end infinite;
}

.spin3 {
	animation: r3 8s step-end infinite;
}

.spin4 {
	animation: r4 8s step-end infinite;
}

.spin5 {
	animation: r5 8s step-end infinite;
}

.spin6 {
	animation: r6 8s step-end infinite;
}

.spin7 {
	animation: r7 8s step-end infinite;
}

.image {
	background-color: transparent;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: contain;

	@include media-height;
}

@keyframes delay0 {
	0%   { opacity: 0; }
	100% { opacity: 0; }
}

.nopic {
	animation: delay0 300ms linear 0s;
	background-image: url('/assets/nopic.svg');
}

.picld {
	background-image: url('/assets/loading-process.svg');
}

.dn {
	display: none;
}

@import "@material/theme/mixins";

.magnifier {
	position: fixed;
	left: 1%;
	top: 1%;
	width: 98%;
	height: 98%;
	z-index: 5;
	border-radius: 2px;

	@include mdc-theme-prop(background-color, background);

	.image {
		width: 100%;
		height: 100%;
	}
}
